curl --request GET \
--url https://api.paytsoftware.com/v1/order_lines \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paytsoftware.com/v1/order_lines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paytsoftware.com/v1/order_lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"claim": true,
"claim_status": "<string>",
"administration_id": "<string>",
"id": "<string>",
"order_line_identifier": "<string>",
"amount": "<string>",
"credited_amount": "<string>",
"credited_reimbursed_amount": "<string>",
"rejected_amount": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"claim_response_codes": [
"<string>"
],
"deeplink_url": "<string>",
"customer": {
"email_address": "<string>"
},
"product_identifier": "<string>",
"invoice_identifier": "<string>",
"credit_invoice_identifier": "<string>",
"reimbursed_amount": "<string>"
}
],
"pagination": {
"cursor": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Get administration order lines
Get administration order lines
Authorizations
OAuth2 access token or static API token. See Authorization for how to obtain one.
Query Parameters
Administration identifier
ISO8601 UTC Timestamp to filter records created before it
ISO8601 UTC Timestamp to filter records created after it
Filter order lines with a comma separated list of order line identifiers
Filter order lines with a comma separated list of internal ids
Filter order lines by claim status
action_required, auto_resubmit, draft, failed, processed, submitted Filter order lines with a comma separated list of invoice identifiers
ISO8601 UTC Timestamp to filter records updated after it
JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})
The record identifier after which to start the page
How many records will be returned per page, (1..500), defaults to 100
1 <= x <= 500Was this page helpful?